package com.bizmatics.mhfire.model;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 设备信息表
 * </p>
 *
 * @author ya
 * @since 2021-11-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Device implements Serializable {

    private static final long serialVersionUID=1L;

    private Long id;

    /**
     * 名称
     */
    private String name;

    /**
     * 编号
     */
    private String code;

    /**
     * 类型
     */
    private String deviceType;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 维度
     */
    private String latitude;

    /**
     * 设备状态
     */
    private Integer deviceFlag;

    /**
     * 删除状态
     */
    private Integer delFlag;

    /**
     * 厂商
     */
    private String firm;

    /**
     * 设备描述
     */
    private String deviceDescribe;

    /**
     * 地址信息
     */
    private String address;

    /**
     * 所属单位
     */
    private String deviceDuty;

    /**
     * 设备属性
     */
    private String property;


}
